VORBISCOMMENT(1)

NUME
vorbiscomment - listează sau editează comentariile din fișierele Ogg Vorbis

SINOPSIS
vorbiscomment [-l] [-R] [-e] fișier.ogg
vorbiscomment -a [ -c fișier-comentariu | -t “nume=valoare” | -d “nume=valoare” ] [-q] [-R] [-e] intrare.ogg [ieșire.ogg]
vorbiscomment -w [ -c fișier-comentariu | -t “nume=valoare” ] [-q] [-R] [-e] intrare.ogg [ieșire.ogg]

DESCRIERE
vorbiscomment Citește, modifică și adaugă etichete de metadate ale fișierelor audio Ogg Vorbis.

OPȚIUNI

-a, --append
    Actualizează comentariile.

-c fișier, --commentfile fișier
    Preia comentarii dintr-un fișier. Fișierul are același format ca și cel ieșit prin opțiunea „-l” sau dat la opțiunea „-t”: un element pe linie în format „etichetă=valoare”. Dacă fișierul este „/dev/null” și a fost trecută opțiunea „-w”, comentariile existente vor fi eliminate.

-h, --help
    Afișează mesajul de ajutor al comenzii.

-l, --list
    Listează comentariile din fișierul Ogg Vorbis.

-q, --quiet
    Modul silențios. Nu se afișează niciun mesaj.

-t 'nume=valoare', --tag 'nume=valoare'
    Specifică o nouă etichetă în linia de comandă. Fiecare etichetă este dată ca un singur șir de caractere. Partea de dinaintea lui „=” este tratată ca nume de etichetă, iar partea de după ca valoare.

-d 'nume[=valoare]', --rm 'nume[=valoare]'
    Specifică o etichetă în linia de comandă pentru eliminare. Fiecare etichetă este dată sub forma unui singur șir de caractere. Partea de dinaintea lui „=” este tratată ca nume de etichetă, iar partea de după ca valoare. În cazul în care nu se indică nicio valoare, toate etichetele sunt șterse cu numele dat. În caz contrar, sunt șterse numai cele cu valorile care se potrivesc.

-w, --write
    Înlocuiește comentariile cu noul set dat fie în linia de comandă cu opțiunea „-t”, fie dintr-un fișier cu opțiunea „-c”. În cazul în care nu se indică nici „-c”, nici „-t”, noul set va fi citit de la intrarea standard.

-R, --raw
    Citește și scrie comentariile în UTF-8, în loc să le convertească în setul de caractere al utilizatorului.

-e, --escapes
    Pune/scoate dintre ghilimele liniile noi și barele oblice inverse în comentarii. Acest lucru asigură că fiecare comentariu este exact o linie la ieșire (sau la intrare), permițând filtrarea și ordonarea/încadrarea acestora. Fără aceasta, puteți scrie comentarii pe mai multe linii doar folosind opțiunea „-t” și nu le puteți distinge în mod fiabil de mai multe comentarii pe o singură linie.

    Eludările acceptate sunt „\n”, „\r”, „\\” și „\0” în stil c. O bară oblică inversă urmată de orice altceva reprezintă o eroare.

    Notă: în prezent, tot ceea ce urmează după primul „\0” este înlăturat în timpul scrierii. Aceasta este o eroare - formatul Vorbis poate stoca în siguranță caracterele nule, dar majoritatea celorlalte instrumente nu le-ar gestiona oricum.

-V, --version
    Afișează versiunea lui vorbiscomment.

EXEMPLE

Pentru a vedea doar ce etichete de comentariu se află într-un fișier:

    vorbiscomment -l fișier.ogg

Pentru a edita aceste comentarii:

    vorbiscomment -l fișier.ogg > fișier.txt
    [editați comentariile din fișier.txt pe gustul dvs.]
    vorbiscomment -w -c fișier.txt fișier.ogg fișier-nou.ogg

Pentru a adăuga un simplu comentariu:

    vorbiscomment -a -t 'ARTIST=Cântăreț necunoscut' fișier.ogg fișier-nou.ogg

Pentru a adăuga un set de comentarii de la intrarea standard:

    vorbiscomment -a fișier.ogg
    ARTIST=Cântăreț necunoscut
    ALBUM=Faimosul meu album
    <ctrl-d>

FORMAT ETICHETĂ

Consultați https://xiph.org/vorbis/doc/v-comment.html pentru documentația privind formatul de etichete Ogg Vorbis, inclusiv o listă sugerată de nume de etichete canonice.

AUTORI

Autorii programului:
    Michael Smith <msmith@xiph.org>
    Ralph Giles <giles@xiph.org>

Autorul paginilor de manual:
    Christopher L Cheney <ccheney@debian.org>

CONSULTAȚI ȘI

oggenc(1), oggdec(1), ogg123(1), ogginfo(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.